Update Template
curl --request PATCH \
--url https://api.dugble.com/templates/{template} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"html": "<string>",
"alias": "<string>",
"from": "<string>",
"subject": "<string>",
"reply_to": "<string>",
"text": "<string>",
"variables": [
{
"key": "<string>",
"fallback_value": "<unknown>"
}
]
}
'import requests
url = "https://api.dugble.com/templates/{template}"
payload = {
"name": "<string>",
"html": "<string>",
"alias": "<string>",
"from": "<string>",
"subject": "<string>",
"reply_to": "<string>",
"text": "<string>",
"variables": [
{
"key": "<string>",
"fallback_value": "<unknown>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
html: '<string>',
alias: '<string>',
from: '<string>',
subject: '<string>',
reply_to: '<string>',
text: '<string>',
variables: [{key: '<string>', fallback_value: '<unknown>'}]
})
};
fetch('https://api.dugble.com/templates/{template}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"object": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"success": false,
"error": {
"code": "BAD_REQUEST",
"message": "<string>"
}
}Templates
Update Template
Updates template metadata or content and creates a new current draft version.
PATCH
/
templates
/
{template}
Update Template
Authorizations
Pass a Dugble team token in the Authorization header as Bearer . Team token secrets use the dgb_team_ prefix.
Headers
Optional idempotency key for mutation requests. Maximum 256 characters.
Maximum string length:
256Path Parameters
Template UUID or alias.
Body
application/json
Required string length:
1 - 100Minimum string length:
1Maximum string length:
100Pattern:
^[A-Za-z0-9_-]+$Available options:
otp, welcome, receipt, alert, notification, custom Email address, optionally with a display name.
Maximum string length:
255Maximum array length:
50Show child attributes
Show child attributes